# Uses of Interface
org.springframework.expression.spel.CodeFlow.FieldAdder

Packages that use CodeFlow.FieldAdder
Package
Description
org.springframework.expression.spel
SpEL's central implementation package.

## Uses of CodeFlow.FieldAdder in org.springframework.expression.spel

Methods in org.springframework.expression.spel with parameters of type CodeFlow.FieldAdder
Modifier and Type
Method
Description
`void`
CodeFlow.`registerNewField(CodeFlow.FieldAdder fieldAdder)`
Register a FieldAdder which will add a new field to the generated class to support the code produced by an AST node's primary generateCode() method.